## maffilter 1.1.0-1+dfsg

=== debian/changelog ===
maffilter (1.1.0-1+dfsg-2build2) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:28:24 +0000

maffilter (1.1.0-1+dfsg-2build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:25:31 +0000

maffilter (1.1.0-1+dfsg-2) unstable; urgency=medium

  * Fix permissions
  * Properly install executable and info file

 -- Andreas Tille <tille@debian.org>  Sun, 22 May 2016 21:58:51 +0200

maffilter (1.1.0-1+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #822776)

 -- Andreas Tille <tille@debian.org>  Wed, 27 Apr 2016 15:59:57 +0200
