=== debian/control ===
Source: maffilter
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Julien Dutheil <julien.dutheil@univ-montp2.fr>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               texinfo,
               libbpp-phyl-omics-dev (>= 2.2.0),
               libboost-iostreams-dev (>= 1.54.0),
               zlib1g-dev,
               libbz2-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/maffilter.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/maffilter.git
Homepage: http://biopp.univ-montp2.fr/forge/maffilter

Package: maffilter
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: maffilter-examples
Description: process genome alignment in the Multiple Alignment Format
 MafFilter applies a series of "filters" to a MAF file, in order to
 clean it, extract data and computer statistics while keeping track of
 the associated meta-data such as genome coordinates and quality scores.
 .
  * It can process the alignment to remove low-quality / ambiguous /
    masked regions.
  * It can export data into a single or multiple alignment file in
    format such as Fasta or Clustal.
  * It can read annotation data in GFF or GTF format, and extract the
    corresponding alignment.
  * It can perform sliding windows calculations.
  * It can reconstruct phylogeny/genealogy along the genome alignment.
  * It can compute population genetics statistics, such as site
    frequency spectrum, number of fixed/polymorphic sites, etc.

Package: maffilter-examples
Architecture: all
Depends: ${misc:Depends}
Enhances: maffilter
Description: process genome alignment in the Multiple Alignment Format (example data)
 MafFilter applies a series of "filters" to a MAF file, in order to
 clean it, extract data and computer statistics while keeping track of
 the associated meta-data such as genome coordinates and quality scores.
 .
  * It can process the alignment to remove low-quality / ambiguous /
    masked regions.
  * It can export data into a single or multiple alignment file in
    format such as Fasta or Clustal.
  * It can read annotation data in GFF or GTF format, and extract the
    corresponding alignment.
  * It can perform sliding windows calculations.
  * It can reconstruct phylogeny/genealogy along the genome alignment.
  * It can compute population genetics statistics, such as site
    frequency spectrum, number of fixed/polymorphic sites, etc.
 .
 This package provides example data for maffilter.
