=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# Package does not build with this option
# export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_fixperms:
	dh_fixperms
	find debian/*/usr/share -name "*.bpp" -executable -exec chmod -x \{\} \;
