## maffilter 1.2.1+dfsg

=== debian/changelog ===
maffilter (1.2.1+dfsg-1build2) bionic; urgency=medium

  * No-change rebuild against libbpp-core4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 09 Apr 2018 08:00:56 +0000

maffilter (1.2.1+dfsg-1build1) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:20:00 +0000

maffilter (1.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Fix watch file
  * debhelper 10
  * adjust versioned Build-Depends
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2017 09:09:21 +0200
