=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
            Julien Dutheil <julien.dutheil@univ-montp2.fr>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                cmake,
                texinfo,
-               libbpp-phyl-omics-dev (>= 2.2.0),
+               libbpp-phyl-omics-dev (>= 2.3.1),
                libboost-iostreams-dev (>= 1.54.0),
                zlib1g-dev,
                libbz2-dev
