=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,7 @@
 
 # DH_VERBOSE := 1
 
-# Package does not build with this option
-# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@
