## maffilter 1.3.0+dfsg

=== debian/changelog ===
maffilter (1.3.0+dfsg-1build1) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 13:00:52 +0000

maffilter (1.3.0+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Added ref to OMICtools registry
    (bio.tools and RRID entries not available)

  [ Julien Y. Dutheil ]
  * New upstream version (Closes: #896486).
  * Standards-Version: 4.1.4
  * debhelper 11
  * Updated Vcs-Browser and Vcs-Git
  * Updated Homepage

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Mon, 30 Apr 2018 11:57:36 +0200
