=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: maffilter
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Julien Dutheil <julien.dutheil@univ-montp2.fr>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                cmake,
                texinfo,
-               libbpp-phyl-omics-dev (>= 2.3.1),
+               libbpp-phyl-omics-dev (>= 2.4.0),
                libboost-iostreams-dev (>= 1.54.0),
                zlib1g-dev,
                libbz2-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/maffilter.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/maffilter.git
-Homepage: http://biopp.univ-montp2.fr/forge/maffilter
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/maffilter
+Vcs-Git: https://salsa.debian.org/med-team/maffilter.git
+Homepage: https://jydu.github.io/maffilter/ 
 
 Package: maffilter
 Architecture: any
