=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND=-DNDEBUG -g
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG -g

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_fixperms:
	dh_fixperms
	find debian/*/usr/share -name "*.bpp" -executable -exec chmod -x \{\} \;
