## maffilter 1.3.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: maffilter
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
-           Julien Dutheil <julien.dutheil@univ-montp2.fr>
+           Julien Dutheil <julien.dutheil@univ-montp2.fr>,
+           Pranav Ballaney <ballaneypranav@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                texinfo,
-               libbpp-phyl-omics-dev (>= 2.4.0),
-               libboost-iostreams-dev (>= 1.54.0),
+               libbpp-phyl-omics-dev,
+               libboost-iostreams-dev,
                zlib1g-dev,
                libbz2-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/maffilter
 Vcs-Git: https://salsa.debian.org/med-team/maffilter.git
-Homepage: https://jydu.github.io/maffilter/ 
+Homepage: https://jydu.github.io/maffilter/
+Rules-Requires-Root: no
 
 Package: maffilter
 Architecture: any
