## maffilter 1.3.1+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: maffilter
+Standards-Version: 4.7.2
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>,
-           Julien Dutheil <julien.dutheil@univ-montp2.fr>,
-           Pranav Ballaney <ballaneypranav@gmail.com>
+Uploaders:
+ Andreas Tille <tille@debian.org>,
+ Julien Dutheil <julien.dutheil@univ-montp2.fr>,
+ Pranav Ballaney <ballaneypranav@gmail.com>,
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               cmake,
-               texinfo,
-               libbpp-phyl-omics-dev,
-               libboost-iostreams-dev,
-               zlib1g-dev,
-               libbz2-dev
-Standards-Version: 4.6.0
+Build-Depends:
+ debhelper-compat (= 13),
+ cmake,
+ texinfo,
+ libbpp-phyl-omics-dev,
+ libboost-iostreams-dev,
+ zlib1g-dev,
+ libbz2-dev,
 Vcs-Browser: https://salsa.debian.org/med-team/maffilter
 Vcs-Git: https://salsa.debian.org/med-team/maffilter.git
 Homepage: https://jydu.github.io/maffilter/
@@ -20,9 +22,11 @@
 
 Package: maffilter
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Suggests: maffilter-examples
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+Suggests:
+ maffilter-examples,
 Description: process genome alignment in the Multiple Alignment Format
  MafFilter applies a series of "filters" to a MAF file, in order to
  clean it, extract data and computer statistics while keeping track of
@@ -41,8 +45,11 @@
 
 Package: maffilter-examples
 Architecture: all
-Depends: ${misc:Depends}
-Enhances: maffilter
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+Enhances:
+ maffilter,
 Description: process genome alignment in the Multiple Alignment Format (example data)
  MafFilter applies a series of "filters" to a MAF file, in order to
  clean it, extract data and computer statistics while keeping track of
