=== debian/watch ===
Version: 5

Template: Github
Owner: jydu
Project: maffilter
Repack-Suffix: +dfdg
Dversion-Mangle: auto
